Bug 401731 - Rebase nss_ldap to RHEL 5.2 version
Rebase nss_ldap to RHEL 5.2 version
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.7
All Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
PM_RHEL5_2
: FutureFeature
Depends On:
Blocks: 235871 426209
  Show dependency treegraph
 
Reported: 2007-11-27 15:28 EST by Daniel Riek
Modified: 2010-10-22 16:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2008-0715
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2007-11-27 15:28:14 EST
Ther version of nss_ldap currently in RHEL4 has a number of more or less obscure
problems and limits, that seem to be solved in RHEL5. Backporting seems to be a
major issue as the changes are mixed with other changes, so that an attempt to
extract atomic fixes already failed for 4.6. Some changes also might be
dangerous if pulled out of context.

It therefor seems to be the less risky approach to attempt a re-base to the
version of nss_ldap we are maintaining in RHEL5. It does not bear the risk of
ABI breakage as glibc enforces the ABI. Also on the configuration side there are
only extension vs what we have in 4.6.
Comment 2 Chris Hunter 2008-03-19 18:28:38 EDT
Apparently in nss_ldap v2.41 they added "nss_reconnect" options eg)
nss_reconnect_maxtries, nss_reconnect_sleeptime, etc. These options would be
helpful for ldap failover config on RHEL 4 WS.
http://www.liquidx.net/blog/2006/04/03/nss_ldap-undocumented-nss_reconnect_tries/
Comment 6 errata-xmlrpc 2008-07-24 15:55:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0715.html

Note You need to log in before you can comment on or make changes to this bug.